%define sqname	squashfs
%define sqver	4.3

Name:		%{sqname}-tools
Version:	%{sqver}
%define subrel	1
Release:	%mkrel 4
Summary:	Utilities for the creation of compressed squashfs images
License:	GPLv2+
Group:		File tools
URL:		http://squashfs.sourceforge.net/
Source0:	%{sqname}%{sqver}.tar.gz
Patch0:		mksquashfs-fix-2GB-limit-of-the-is_fragment-function.patch
Patch1:		mksquashfs-fix-rare-race-in-fragment-waiting-in-file.patch
Patch2:		unsquashfs-CVE-2015-4645-CVE-2015-4646.patch

BuildRequires:	zlib-devel 
BuildRequires:	attr-devel 
BuildRequires:	lzma-devel

%description
squashfs-tools are utilities for the creation of compressed squashfs images.

%prep
%setup -q -n %{sqname}%{sqver}
%apply_patches

%build
cd squashfs-tools
%make XZ_SUPPORT=1 COMP_DEFAULT=xz

%install
install -d %{buildroot}%{_bindir}
cd squashfs-tools
install -m 755 mksquashfs unsquashfs %{buildroot}%{_bindir}

%files
#%doc README
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs


%changelog
* Tue Jul 21 2015 luigiwalser <luigiwalser> 4.3-4.1.mga5
+ Revision: 855956
- combine patches from fedora to fix CVE-2015-4645 and CVE-2015-4646

* Tue May 05 2015 tmb <tmb> 4.3-4.mga5
+ Revision: 821280
- fix 2GB-limit of the is_fragment(...) function
- mksquashfs: fix rare race in fragment waiting in filesystem finalisation

* Wed Oct 15 2014 umeabot <umeabot> 4.3-3.mga5
+ Revision: 745937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3-2.mga5
+ Revision: 689307
- Mageia 5 Mass Rebuild

* Thu May 15 2014 tv <tv> 4.3-1.mga5
+ Revision: 622939
- new release
- drop merged patches

* Fri Oct 18 2013 umeabot <umeabot> 4.2-7.mga4
+ Revision: 518523
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.2-6.mga3
+ Revision: 382586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 tmb <tmb> 4.2-5.mga3
+ Revision: 338260
- unsquashfs: Fix potential stack overflow in get_component
  (CVE-2012-4024) (P2, from Fedora, mga #8448)
- unsquashfs: Fix integer overflow exploit in queue_init() leading to
  heap overflow. (CVE-2012-4025) (P3, from Fedora, mga #8448)

* Fri Oct 19 2012 tv <tv> 4.2-4.mga3
+ Revision: 308179
- do not obsolete squashfs3-tools for those still targeting 2.6.28- kernels...

* Thu Oct 18 2012 tv <tv> 4.2-3.mga3
+ Revision: 307990
- obsoletes squashfs3-tools which is useless for years

* Fri Dec 30 2011 tmb <tmb> 4.2-2.mga2
+ Revision: 189115
- unsquashfs: add checks for corrupted data in opendir functions
- compressors: mksquashfs/unsquashfs broken if GZIP_SUPPORT is not defined
- fix license
- drop defattr and buildroot

* Thu Mar 03 2011 tmb <tmb> 4.2-1.mga1
+ Revision: 62766
- update to 4.2 final

* Tue Jan 25 2011 tmb <tmb> 4.2-0.20101231.1.mga1
+ Revision: 38330
- imported package squashfs-tools

